/**
 * jd client object Constructor method
 * @param config
 * @returns {JDClient}
 * @constructor
 */
export declare class JDClient {
    appKey: string;
    appSecret: string;
    apiUrl: string;
    accessToken?: string;
    format: string;
    v: string;
    constructor(appKey: string, appSecret: string, accessToken?: string, format?: string, v?: string, apiUrl?: string);
    /**
     * 根据sku获取产品数据
     * @param skuIds
     */
    getProductInfo(skuIds: string[]): Promise<any>;
    /**
     * 获取通用推广链接
     * @param params
     */
    commonGet(params: {
        materialId: string;
        siteId?: string;
        positionId?: string;
        subUnionId?: string;
        ext1?: string;
        pid?: string;
        couponUrl?: string;
    }): Promise<any>;
    /**
     * 订单查询接口
     * @param params
     */
    orderQuery(params: {
        pageNo: number;
        pageSize: number;
        type: number;
        time: string;
    }): Promise<any>;
    /**
     * 京粉精选查询接口
     * @param params
     */
    goodsJingfenQuery(params: {
        eliteId: number;
        pageIndex: number;
        pageSize: number;
        sortName: string;
        sort: string;
    }): Promise<any>;
    /**
     * 商品类目查询
     * @param params
     */
    categoryGoodsGet(params: {
        parentId: number;
        grade: number;
    }): Promise<any>;
    /**
     * 获取PID
     * @param params
     */
    pidGet(params: {
        unionId: number;
        childUnionId: number;
        promotionType: number;
        positionName?: string;
        mediaName?: string;
    }): Promise<any>;
    /**
     * return the parameter of signature
     * @param jdApi
     * @param appParam
     */
    private signUrl;
    /**
     * Invoke an api by method name.
     * @param jdApi
     * @param appParam
     * @returns {Promise<any>}
     */
    private handleAPI;
}
