"use strict";
/**
 * Created by leoliew on 2016/11/1.
 */
Object.defineProperty(exports, "__esModule", { value: true });
const Moment = require("moment-timezone");
var Utils;
(function (Utils) {
    /**
     * @deprecated
     * format Date '2016-10-10 11:23:50'
     * @returns {string}
     */
    function nowTime() {
        const date = new Date();
        const year = date.getFullYear();
        const month = this.zeroPad(date.getMonth() + 1, 2);
        const day = this.zeroPad(date.getDate(), 2);
        const hour = this.zeroPad(date.getHours(), 2);
        const minutes = this.zeroPad(date.getMinutes(), 2);
        const seconds = this.zeroPad(date.getSeconds(), 2);
        return year + '-' + month + '-' + day + ' ' + hour + ':' + minutes + ':' + seconds;
    }
    Utils.nowTime = nowTime;
    /**
     * @deprecated
     * zeroPad
     * @param num
     * @param length
     * @returns {any}
     */
    function zeroPad(num, length) {
        num = num.toString();
        while (num.length < length) {
            num = '0' + num;
        }
        return num;
    }
    Utils.zeroPad = zeroPad;
    /**
     * Get current time's Moment object with timezone
     *
     * @param {any} time
     * @return {Object} the Moment object
     */
    function getCurrentMoment(time) {
        Moment.tz.setDefault('Asia/Shanghai');
        return new Moment(time);
    }
    Utils.getCurrentMoment = getCurrentMoment;
    /**
     * Get current time of type timestamp
     *
     * @param {any} time
     */
    function getCurrentTimestamp(time) {
        return this.getCurrentMoment(time).valueOf();
    }
    Utils.getCurrentTimestamp = getCurrentTimestamp;
    /**
     * 格式化时间
     * @param time
     * @param format
     */
    function formatTime(time, format) {
        return this.getCurrentMoment(time).format(format || 'YYYY-MM-DD');
    }
    Utils.formatTime = formatTime;
    /**
     * @deprecated
     * format jd url
     * @param ids
     * @param type
     * @returns {string}
     */
    function formatJdUrl(ids, type) {
        if (!type || !ids) {
            return '';
        }
        let urlArr = [];
        let jdurl = {
            PC: 'http://item.jd.com/',
            WL: 'http://item.m.jd.com/product/'
        };
        for (const id of ids) {
            urlArr.push(jdurl[type] + id + '.html');
        }
        return urlArr.join(',');
    }
    Utils.formatJdUrl = formatJdUrl;
    /**
     * @deprecated
     * 转换京东链接
     * @param id
     */
    function transJdUrl(id) {
        return `http://item.jd.com/${id}.html`;
    }
    Utils.transJdUrl = transJdUrl;
})(Utils = exports.Utils || (exports.Utils = {}));
